Package org.drinkless.tdlib

# Class TdApi.SetGiftResalePrice

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Ok>
org.drinkless.tdlib.TdApi.SetGiftResalePrice

Enclosing class:
  `TdApi`

public static class TdApi.SetGiftResalePrice extends TdApi.Function<TdApi.Ok>
Changes resale price of a unique gift owned by the current user.

Returns `Ok`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.GiftResalePrice`
  `price`
  The new price for the unique gift; pass null to disallow gift resale.
  `String`
  `receivedGiftId`
  Identifier of the unique gift.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SetGiftResalePrice()`
  Default constructor for a function, which changes resale price of a unique gift owned by the current user.
  `SetGiftResalePrice(String receivedGiftId, TdApi.GiftResalePrice price)`
  Creates a function, which changes resale price of a unique gift owned by the current user.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### receivedGiftId

    public String receivedGiftId
    Identifier of the unique gift.

  - ### price

    public TdApi.GiftResalePrice price
    The new price for the unique gift; pass null to disallow gift resale. The current user will receive getOption("gift_resale_star_earnings_per_mille") Telegram Stars for each 1000 Telegram Stars paid for the gift if the gift price is in Telegram Stars or getOption("gift_resale_ton_earnings_per_mille") Toncoins for each 1000 Toncoins paid for the gift if the gift price is in Toncoins.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SetGiftResalePrice

    public SetGiftResalePrice()
    Default constructor for a function, which changes resale price of a unique gift owned by the current user.

    Returns `Ok`

  - ### SetGiftResalePrice

    public SetGiftResalePrice(String receivedGiftId, TdApi.GiftResalePrice price)
    Creates a function, which changes resale price of a unique gift owned by the current user.

    Returns `Ok`

    Parameters:
      `receivedGiftId` - Identifier of the unique gift.
      `price` - The new price for the unique gift; pass null to disallow gift resale. The current user will receive getOption("gift_resale_star_earnings_per_mille") Telegram Stars for each 1000 Telegram Stars paid for the gift if the gift price is in Telegram Stars or getOption("gift_resale_ton_earnings_per_mille") Toncoins for each 1000 Toncoins paid for the gift if the gift price is in Toncoins.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Ok>`
    Returns:
      this.CONSTRUCTOR